
Redmine - Feature #991

Document versioning

2008-04-04 06:22 - Steve V

Status: New Start date: 2008-04-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Documents Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I thought Redmine previously did this, but I might be mistaken... It would be great if there was a way to upload a new version of a

document, and still retain the old one. Just sequential numbering, with upload timestamp, and uploading user would probably be fine.

Maybe a comment field to allow description of what changed from the previous version. Redmine does so much else for project

management so well, this would definitely be another great feature. If it's already there and I'm just missing it, please let me know.

Related issues:

Related to Redmine - Feature #3995: Upgrade to "Files" module New 2009-10-08

Related to Redmine - Feature #1196: Add versioning for Files and Documents New 2008-05-07

Has duplicate Redmine - Feature #800: Enable versioning for Documents and Fil... Closed 2008-03-06

Has duplicate Redmine - Feature #736: documents - directories and versions New 2008-02-25

Has duplicate Redmine - Feature #2555: Possibility for update Documents - ver... Closed 2009-01-21

History

#1 - 2008-04-04 20:24 - Jos Yule

I had a similar request in (issue #800 - i've set its status to "resolved") but this is more straight-forward and, hopefully, implementable.

#2 - 2008-04-04 21:33 - Thomas Lecavelier

- Status changed from New to Closed

Closed as duplicated of #991 at reporter request.

#3 - 2008-04-04 21:36 - Thomas Lecavelier

- Status changed from Closed to Reopened

(I'm a baka... forgot that duplicated issue are linked)

#4 - 2008-12-15 23:14 - Michael Aye

+1

#5 - 2009-03-11 12:38 - Andreas Huggel

+1

#6 - 2009-03-13 17:33 - William Bush

+1

#7 - 2009-10-15 09:55 - Klas Germunder

Any thing new in this issue?

#8 - 2009-10-15 10:26 - Dario Laera

+1

#9 - 2009-11-28 16:37 - Andreas Huggel
+1

#10 - 2010-03-08 18:07 - Richard Hurt

+1

My teammates and I were just discussing this feature in a hallway meeting.  Is there any strategy at all for dealing with versioned documents?

#11 - 2010-04-01 16:35 - julien brule

+1

#12 - 2010-07-15 20:11 - Alvaro Herrera

I've been recently converting some Wiki pages to Documents, but this lack of version control makes me question whether this is really a good choice. 

So +1 for some sort of versioning strategy for documents.

#13 - 2010-08-03 18:43 - Dylan Yee

+1

I have been looking for a project management system that can include simple document management with versioning. So far sharepoint did that but I

just dont like sharepoint. If redmine could implement this my organization would have accept redmine.

Also, If wiki can be used as documentation would be a real great function, and as Alvaro suggested, adding versioning to wiki will be very helpful

#14 - 2010-08-03 22:03 - Terence Mill

Just also have a look at a similar discussion in Forum.

Beyond the ui discussion, can you use a common and established scm or other dms service to save and handle the

 versioning and metadata handling around the files?

Most people won't like to save their file and history to new kind of system. The task "versioning of files" is

 already done and there are enough good standars to use or build on.

Some thinking and ideas..

In our case we use as scm Subversion and advanced integration via webdav. The problem is that we would need a 

business analyst compatible frontend for uploading (crud), versioning, watching changes and managing project d

ocumentation beyond code (there our coders use svn clients on svn server behind redmine).

You could use the standard scm configured in project archiv or embedd a defined one for saving the versions of

 files and docs.

In the case of using svn with adavanced redmine integration, you already have webdav on svn. Now you "only" ne

ed a nice frontend so some special folders on svn repo where you manage the docs and files for your project.

#15 - 2010-08-18 06:46 - Aaron Boxer

+1

This would be a killer feature for us. I just introduced Redmine primarily to track dev issues, but we are beginning to use more of its project

management features. Lack of versioning is a big problem; we need an audit

trail of who changes documents, and some users are not tech-savvy in using another SCM system for documents.

I will have to set up a second wiki, such as FOSWIKI, which does versioning, and link to Redmine, but it would be much simpler to not have to do this.

#16 - 2010-10-12 13:45 - Aleksandar Pavic

+1 ppl in my company cries over it...

#17 - 2010-10-12 13:58 - Felix Schäfer

Aleksandar Pavic wrote:

+1 ppl in my company cries over it…

 You could also use SVN, which is intended for such purposes, you know?…

#18 - 2010-10-15 08:59 - Aleksandar Pavic

What Steve V, and Aaron Boxer explained with this feature request is what I exactly need.

I can't make non-tech people use & install SVN.

They just get URL to redmine with username/password and use it for collaboration on tasks & documents

on marketing projects.
Additional + would be to see all files ever uploaded on issues in files module, like #3995

#19 - 2010-10-15 09:12 - Dario Laera

Aleksandar Pavic wrote:

What Steve V, and Aaron Boxer explained with this feature request is what I exactly need.

I can't make non-tech people use & install SVN.

They just get URL to redmine with username/password and use it for collaboration on tasks & documents

on marketing projects.

 I agree. Probably the ideal solution is to have the documentation module using a repo as back end for storing and versioning files, and providing a

simple interface similar to the actual one as front end.

#20 - 2010-10-15 09:27 - Pedro Gutierrez

I agree. Probably the ideal solution is to have the documentation module using a repo as back end for storing and versioning files, and providing

a simple interface similar to the actual one as front end.

 Sure, I also agree that SVN is not the best option for non-technical people

#3071 addresses this topic of providing an external repository for storing and versioning such as Alfresco. But, so far, I've seen no progress.

Dealing with documents much easier, however, can be done through existing plugins such as #801. My colleague Xabier has been uploading

changes these days to improve this plugin developed by Arnaud. I recomend it.

#21 - 2011-05-06 14:08 - Karel Pičman

Try a new DMSF plugin here http://www.redmine.org/plugins/dmsf. The plugin implements basic DMS features such as versioning, folder structure,

multi upload, workflow,...

#22 - 2014-06-22 01:46 - Toshi MARUYAMA

- Related to deleted (Feature #2555: Possibility for update Documents - version control )

#23 - 2014-06-22 01:46 - Toshi MARUYAMA

- Has duplicate Feature #2555: Possibility for update Documents - version control  added

#24 - 2014-06-22 01:47 - Toshi MARUYAMA

- Related to Feature #3995: Upgrade to "Files" module added

#25 - 2014-06-22 02:06 - Toshi MARUYAMA

- Related to Feature #1196: Add versioning for Files and Documents added

#26 - 2014-06-22 02:09 - Toshi MARUYAMA

- Status changed from Reopened to New
